Bug 1955739 (CVE-2021-26291) - CVE-2021-26291 maven: Block repositories using http by default
Summary: CVE-2021-26291 maven: Block repositories using http by default
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-26291
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1959526 1955740 1959524 1959525 1959527 1959528 1960281
Blocks: 1955742
TreeView+ depends on / blocked
 
Reported: 2021-04-30 17:58 UTC by Pedro Sampaio
Modified: 2022-05-17 11:01 UTC (History)
82 users (show)

Fixed In Version: maven 3.8.1
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in maven. Repositories that are defined in a dependency’s Project Object Model (pom), which may be unknown to users, are used by default resulting in potential risk if a malicious actor takes over that repository or is able to insert themselves into a position to pretend to be that repository. The highest threat from this vulnerability is to data confidentiality and integrity.
Clone Of:
Environment:
Last Closed: 2021-10-20 14:08:17 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:3880 0 None None None 2021-10-20 11:30:06 UTC
Red Hat Product Errata RHSA-2022:1013 0 None None None 2022-03-22 15:34:03 UTC
Red Hat Product Errata RHSA-2022:1029 0 None None None 2022-03-23 08:22:45 UTC

Description Pedro Sampaio 2021-04-30 17:58:30 UTC
Apache Maven will follow repositories that are defined in a dependency’s Project Object Model (pom) which may be surprising to some users, resulting in potential risk if a malicious actor takes over that repository or is able to insert themselves into a position to pretend to be that repository. Maven is changing the default behavior in 3.8.1+ to no longer follow http (non-SSL) repository references by default. If you are currently using a repository manager to govern the repositories used by your builds, you are unaffected by the risks present in the legacy behavior, and are unaffected by this vulnerability and change to default behavior.

References:

https://lists.apache.org/thread.html/r9a027668558264c4897633e66bcb7784099fdec9f9b22c38c2442f00%40%3Cusers.maven.apache.org%3E
https://lists.apache.org/thread.html/r06db4057b74e0598a412734f693a34a8836ac6f06d16d139e5e1027c@%3Cdev.maven.apache.org%3E
https://lists.apache.org/thread.html/r9a027668558264c4897633e66bcb7784099fdec9f9b22c38c2442f00@%3Cusers.maven.apache.org%3E
http://www.openwall.com/lists/oss-security/2021/04/23/5
https://lists.apache.org/thread.html/r0556ce5db7231025785477739ee416b169d8aff5ee9bac7854d64736@%3Cannounce.apache.org%3E
https://lists.apache.org/thread.html/ra88a0eba7f84658cefcecc0143fd8bbad52c229ee5dfcbfdde7b6457@%3Cdev.jena.apache.org%3E
https://lists.apache.org/thread.html/r3f0450dcab7e63b5f233ccfbc6fca5f1867a75c8aa2493ea82732381@%3Cdev.jena.apache.org%3E

Comment 11 Jonathan Christison 2021-05-19 15:27:37 UTC
This vulnerability is out of security support scope for the following products:

* Red Hat JBoss BRMS 6 
* Red Hat JBoss SOA Platform 5.

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 17 errata-xmlrpc 2021-10-20 11:30:02 UTC
This issue has been addressed in the following products:

  Red Hat build of Quarkus 2.2.3

Via RHSA-2021:3880 https://access.redhat.com/errata/RHSA-2021:3880

Comment 18 Product Security DevOps Team 2021-10-20 14:08:17 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-26291

Comment 19 errata-xmlrpc 2022-03-22 15:33:59 UTC
This issue has been addressed in the following products:

  RHINT Camel-Q 2.2.1

Via RHSA-2022:1013 https://access.redhat.com/errata/RHSA-2022:1013

Comment 20 errata-xmlrpc 2022-03-23 08:22:41 UTC
This issue has been addressed in the following products:

  RHINT Camel-K 1.6.4

Via RHSA-2022:1029 https://access.redhat.com/errata/RHSA-2022:1029


Note You need to log in before you can comment on or make changes to this bug.